mintsources (2.2.8) virginia; urgency=medium

  * Fix missing keys: Don't require /etc/apt/trusted.gpg

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 Dec 2023 16:31:43 +0000

mintsources (2.2.7) virginia; urgency=medium

  [ Cem Temuçin ]
  * Adding faster networkNeighbors for Turkey (#247)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Nov 2023 13:54:42 +0000

mintsources (2.2.6) virginia; urgency=medium

  * Add support for Mint 21.3 Virginia

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 18 Nov 2023 17:11:12 +0000

mintsources (2.2.5) faye; urgency=medium

  * Add support for LMDE 6 Faye

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Aug 2023 12:41:26 +0100

mintsources (2.2.4) faye; urgency=medium

  [ Michael Webster ]
  * Use new xapp.os function to retrieve the release codename.
  * Dont use lsb_release in mint-switch-to-local-mirror.

  [ Clement Lefebvre ]
  * Remove mint-switch-to-local-mirror
  * Read os-release directly

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 20 Aug 2023 10:54:00 +0200

mintsources (2.2.3) victoria; urgency=medium

  * Add support for Linux Mint 21.2 Victoria

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Jun 2023 09:45:36 +0100

mintsources (2.2.2) victoria; urgency=medium

  [ hduelme ]
  * replace equality None check with identity None check (#241)

  [ Clement Lefebvre ]
  * Remove unused variable
  * PPA: Don't restrict architecture to amd64
  * PPA Dialog: Add title and margins

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 31 May 2023 12:15:12 +0100

mintsources (2.2.1) vera; urgency=medium

  * PPA: Initiate .gnupg dir before using gpg
  * UI: Fix elements hidden by infobar

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2022 16:50:18 +0000

mintsources (2.2.0) vera; urgency=medium

  * Add support for Linux Mint 21.1 Vera

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 14:30:05 +0000

mintsources (2.1.11) vanessa; urgency=medium

  * Fix PPA browser

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Sep 2022 13:49:12 +0100

mintsources (2.1.10) vanessa; urgency=medium

  * Refactor add_remote_key() refs
  * Refactor add/remove_ppa()
  * Fix deprecations in Gtk Message dialogs
  * Rework key handling

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Sep 2022 13:15:33 +0100

mintsources (2.1.9) vanessa; urgency=medium

  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Aug 2022 11:57:32 +0200

mintsources (2.1.8) vanessa; urgency=medium

  [ Vincent Vermeulen ]
  * Update mint-switch-to-local-mirror
  * Update mintSources.py

  [ Clement Lefebvre ]
  * UI: Use package-x-generic-symbolic for all repository types

  [ 63BeetleSmurf ]
  * Add multi select functionality to repositories treeview.
  * Add multi select functionality to ppa treeview.
  * Add multi select functionality to keys treeview.

  [ Clement Lefebvre ]
  * l10n: Generate files
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 11:18:33 +0200

mintsources (2.1.7) vanessa; urgency=medium

  * Fix foreign package detection in LMDE
  * Add support for Linux Mint 21 Vanessa

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Apr 2022 10:27:10 +0100

mintsources (2.1.6) elsie; urgency=medium

  [ Michael Webster ]
  * Add a cl argument to disable cache refresh, and use a return code to notify a calling program whether or not any sources changed.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Mar 2022 14:56:57 +0000

mintsources (2.1.5) elsie; urgency=medium

  * LMDE 5: Fix security URL in for deb-src repository

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Feb 2022 15:38:38 +0000

mintsources (2.1.4) elsie; urgency=medium

  * LMDE 5: Add missing space in some public keys

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Jan 2022 17:43:05 +0000

mintsources (2.1.3) elsie; urgency=medium

  * LMDE 5: Add older keys

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Jan 2022 17:37:51 +0000

mintsources (2.1.2) elsie; urgency=medium

  * LMDE 5: Fix security URL

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Jan 2022 15:34:47 +0000

mintsources (2.1.1) elsie; urgency=medium

  * Add support for LMDE 5 Elsie

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 12 Jan 2022 14:32:07 +0000

mintsources (2.1.0) una; urgency=medium

  [ Rafael Oliveira ]
  * Update README (#226)

  [ hammy3502 ]
  * Don't Show Reload Message on Cancel Mirror Change (#228)

  [ Clement Lefebvre ]
  * Add support for Linux Mint 20.3 Una

  [ Dhia ]
  * mirrors: Add NetworkNeighbors (#227)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Nov 2021 10:40:58 +0000

mintsources (2.0.9) uma; urgency=medium

  [ Vincent Vermeulen ]
  * Fix FileNotFoundError

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jul 2021 10:57:28 +0100

mintsources (2.0.8) uma; urgency=medium

  [ Christophe ]
  * Remove deprecated call to getiterator (Python 3.9 compatibility)

  [ Clement Lefebvre ]
  * Add support for Mint 20.2 Uma

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Jun 2021 12:23:10 +0100

mintsources (2.0.7) ulyssa; urgency=medium

  * Add support for Mint 20.1 Ulyssa

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 03 Dec 2020 12:17:10 +0000

mintsources (2.0.6) ulyssa; urgency=medium

  [ elschman ]
  * Update mintSources.py (#209)

  [ FedeX4AIT ]
  * Update control

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 16:08:46 +0000

mintsources (2.0.5) ulyana; urgency=medium

  * Allow downgrade of critical packages

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 18 Jul 2020 17:18:30 +0100

mintsources (2.0.4) ulyana; urgency=medium

  * Foreign packages: Find packages more accurately

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Jul 2020 23:32:29 +0100

mintsources (2.0.3) ulyana; urgency=medium

  * Don't crash when a package has no candidate

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2020 21:21:57 +0100

mintsources (2.0.2) ulyana; urgency=medium

  * Don't provide python-software-properties

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 16:39:33 +0100

mintsources (2.0.1) ulyana; urgency=medium

  [ Vincent Vermeulen ]
  * Show URL in tooltip for main mirrors
  * Rename URL column to Mirror

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 May 2020 14:57:16 +0100

mintsources (2.0.0) ulyana; urgency=medium

  [ JosephMcc ]
  * Move the update cache infobar to the bottom
  * Fix a couple new deprecation warnings

  [ Clement Lefebvre ]
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 May 2020 08:47:30 +0100

mintsources (1.9.9) ulyana; urgency=medium

  [ Michael Webster ]
  * debian/control: Update build dep to python3.

  [ Clement Lefebvre ]
  * Add support for Mint 20

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 08 Apr 2020 16:44:28 +0100

mintsources (1.9.8) debbie; urgency=medium

  * Fix regression in VTE in LMDE 4

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Mar 2020 16:05:34 +0000

mintsources (1.9.7) debbie; urgency=medium

  * LMDE 4: Remove deb-multimedia

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Feb 2020 10:51:34 +0000

mintsources (1.9.6) debbie; urgency=medium

  * LMDE 4: Add backports repository

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 13 Feb 2020 10:44:40 +0000

mintsources (1.9.5) debbie; urgency=medium

  [ Vincent Vermeulen ]
  * fix repo check RE

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Feb 2020 15:33:53 +0000

mintsources (1.9.4) debbie; urgency=medium

  * Switch Debian repo to https

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jan 2020 14:28:17 +0000

mintsources (1.9.3) debbie; urgency=medium

  * Add support for LMDE 4 Debbie

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jan 2020 09:55:52 +0000

mintsources (1.9.2) tricia; urgency=medium

  [ Michael Webster ]
  * Don't allow the infobar to push the rest of the view content down.

  [ Vincent Vermeulen ]
  * add missing dependency: python3-gi-cairo
  * allow for window controls on the left
  * apt-add-repository: allow deb options

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 Jan 2020 14:34:13 +0000

mintsources (1.9.1) tricia; urgency=medium

  [ Michael Webster ]
  * mintSources.py: Add an age check for base mirrors, with a 14 day (#186)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 13 Dec 2019 10:31:54 +0000

mintsources (1.9.0) tricia; urgency=medium

  * Add support for 19.3

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Nov 2019 16:37:59 +0000

mintsources (1.8.9) tricia; urgency=medium

  * Fix flags in HiDPI

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Nov 2019 12:58:01 +0100

mintsources (1.8.8) tina; urgency=medium

  * Remove Python 3.6 code

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 11:57:15 +0200

mintsources (1.8.7) tina; urgency=medium

  * MergeList: Don't delete the list directory itself

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Jul 2019 13:41:51 +0200

mintsources (1.8.6) tina; urgency=medium

  * Add support for tina

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Jul 2019 13:23:21 +0200

mintsources (1.8.5) tina; urgency=medium

  [ gm10 ]
  * Label local repositories as "Local Repository" (#136)
  * Fix Gtk transient parent error in import key dialog (#142)
  * Fix missing icons (#144)

  [ monsta ]
  * remove excessive trailing slash from deb.debian.org (#145)

  [ gm10 ]
  * Fix repository validation and manipulation (#132)
  * Fix parsed repository name not showing for newly added repos (#143)
  * Fix issues with adding PPAs (#141)
  * small stuff: fix indent, remove unnecessary variable (#152)
  * Disable PPA open button when PPA isn't enabled (#149)

  [ Clement Lefebvre ]
  * Fix missing icons

  [ gm10 ]
  * Repository.modify_source_file() - fix missing spaces in condition (#154)
  * Switch to mintcommon v2 (#147)

  [ Clement Lefebvre ]
  * Fix generate_desktop_files

  [ gm10 ]
  * Remove unnecessary break statement (#160)
  * Fix MergeList refactored, query path from apt instead of hardcoding and use native functions instead of an external process (#158)
  * Remove and Downgrade foreign packages use subprocess
  * Use default shell instead of /bin/dash, don't depend on dash (#169)

  [ Clement Lefebvre ]
  * Foreign packages: Filter out essential/required packages
  * Foreign packages: List packages which should be pinned and aren't
  * Clean up imports and fix ppa_browser arch detection along the way
  * Fix repo_malformed and repo_exists to support file:/ repositories
  * Support adding a PPA in GUI via the launchpad URL
  * add-apt-repository: Fix call with no arguments
  * CLI: Also remove commented repos when removing
  * Drop OptionParser and usage message, drop unnecessary lsb_release call
  * Improve PPA retrieval error handling (including Ctrl+C), add timeout, drop urllib
  * Remove duplicate repositories: Refresh treeviews and remove empty lists
  * New Maintenance option: Add missing keys
  * Reorganize imports
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 15:33:25 +0200

mintsources (1.8.4) tessa; urgency=medium

  [ gm10 ]
  * Add padding to reload notification infobar to keep it visually separate (#135)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Dec 2018 13:08:18 +0000

mintsources (1.8.3) tessa; urgency=medium

  [ Clement Lefebvre ]
  * Append deb.debian.org to Debian mirror list

  [ sinihappo ]
  * Allow UTF-8 characters in mirrorsfile regardless of current locale. (#129)

  [ gm10 ]
  * Add release after repo name and use base name for base mirrors (#124)
  * Use full fingerprint for PPA keys (#126)

  [ Clement Lefebvre ]
  * Keys: Show full fingerprints
  * Keys: Use subprocess module to prevent injection

  [ gm10 ]
  * Better input validation when adding repositories to prevent malformed and duplicate entries (#125)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Nov 2018 12:30:59 +0000

mintsources (1.8.2) tessa; urgency=medium

  [ Michael Webster ]
  * Add option to enable dbgsym repos. (#117)

  [ Clement Lefebvre ]
  * Fix dbgsyms repos
  * l10n: Fix mgsids and generate POT
  * Fix generate_desktop_files
  * l10n: Msgid fixes.

  [ gm10 ]
  * Add "Remove duplicate repositories" maintenance option (#123)

  [ Clement Lefebvre ]
  * Small fixes for duplicate entries
  * Small fixes

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Sep 2018 16:10:43 +0100

mintsources (1.8.1) tessa; urgency=medium

  [ JosephMcc ]
  * Revamp the UI (#119)
  * Merge "Optional Components" and "Source code"
  * Improve the infobar styling
  * Relayout the buttons in Maintenance
  * Restyle the sidebar to use the mintwelcome styling
  * Use a bit smaller icon in the infobar
  * Use a header bar
  * Switch the sidebar to symbolic icons
  * Remove kde support
  * Don't show the infobar when you decline the romeo dialog
  * Use the XAppStackSidebar in glade

  [ Clement Lefebvre ]
  * Add support for Mint 19.1 Tessa

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 10 Sep 2018 10:28:13 +0100

mintsources (1.8.0) tara; urgency=medium

  [ Michael Webster ]
  * mintSources.py: Set the umask explicitly at startup.  If the user has changed their umask in .profile, it could cause the sources files to be unreadable by mintUpdate (which runs as the user, not root), resulting in a broken state.
  * polkit: Use auth_admin for the action file, to require an admin user rather than allowing the current user to authenticate.
  * generate_desktop_files: fix polkit default auth type
  * Use /usr/share/bin/mintsources as the pkexec target, so the temporary password memory will function from the menu.

  [ monsta ]
  * remove directories too when cleaning package lists (#115)
  * fix runtime dependencies (#114)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Aug 2018 17:57:31 +0200

mintsources (1.7.9) tara; urgency=medium

  * Add message in polkit policy

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 30 May 2018 18:25:18 +0100

mintsources (1.7.8) tara; urgency=medium

  * Apt keys: Identify GPG keys by their short pub (last two parts)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 May 2018 09:49:06 +0100

mintsources (1.7.7) tara; urgency=medium

  * Fix adding PPAs

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 May 2018 19:23:30 +0100

mintsources (1.7.6) tara; urgency=medium

  * Fix UI not expanding properly
  * Fix listing keys with new version of apt-key

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 17 May 2018 15:04:19 +0100

mintsources (1.7.5) tara; urgency=medium

  [ Clement Lefebvre ]
  * Cindy: Switch to deb.debian.org
  * Don't rely on "apt version"
  * Migrate to Pkexec
  * Migrate ppa_browser to python3/aptdaemon
  * Migrate foreign package removal to Aptdaemon
  * Simplify UI
  * Turn "Update the cache" button into an infobar
  * Packaging: Update dependencies

  [ JosephMcc ]
  * Ui: Clean up some uses of stock buttons (#106)
  * Dialogs: Do a bit of cleanup (#107)

  [ PaulXiCao ]
  * adding PPAs disables the sources repo by default (#110)

  [ Clement Lefebvre ]
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 May 2018 12:23:01 +0100

mintsources (1.7.4) tara; urgency=medium

  * Add support for LMDE 3

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Feb 2018 13:21:08 +0000

mintsources (1.7.3) tara; urgency=medium

  [ monsta ]
  * fix runtime dependencies (#102)
  * add Mint 19 support and also drop unneeded Medibuntu keys (#103)

  [ Vincent Vermeulen ]
  * Also show packages already installed from a PPA (#105)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 09 Feb 2018 13:11:44 +0000

mintsources (1.7.2) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Simplify multi-threading code

  [ tsharitt ]
  * Double click applies mirror selection (#101)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 22 Nov 2017 15:42:56 +0000

mintsources (1.7.1) sylvia; urgency=medium

  * Fix adding PPAs
  * Fix unicode errors

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Nov 2017 16:08:42 +0000

mintsources (1.7.0) sylvia; urgency=medium

  * Fix unicode errors

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 15 Nov 2017 00:09:13 +0000

mintsources (1.6.9) sylvia; urgency=medium

  * Add support for Linux Mint 18.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Nov 2017 11:12:42 +0000

mintsources (1.6.8) sylvia; urgency=medium

  [ monsta ]
  * Use icon name instead of full path in KDE desktop file too (#95)

  [ Clement Lefebvre ]
  * Port foreign_packages.py to python3/gtk3
  * Port ppa_browser.py to GTK3
  * Port the rest of the application to GTK3
  * HiDPI: Use icon names and SVG icons
  * Fix two hardcoded refs to png icons
  * Use larger flags and svg distro icon if available
  * Add SVG icon for sonya
  * Load mint icon from icon theme
  * Remove support for obsolete releases and obsolete icons
  * Synaptic: Don't specify progress/finish strings
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 12:59:08 +0100

mintsources (1.6.7) sonya; urgency=medium

  * Add support for Mint 18.2 Sonya

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 May 2017 10:31:48 +0100

mintsources (1.6.6) sonya; urgency=medium

  * Switch away from pkexec
  * l10n: Generate desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 May 2017 16:05:48 +0100

mintsources (1.6.5) sonya; urgency=medium

  [ Timothy Sharitt ]
  * Allow -h and --help without root

  [ Clement Lefebvre ]
  * Foreign packages: Add a button to select-all/clear selection
  * l10n: Update POT file
  * Fix injection in os.system call
  * Packaging: Add dependency on python3
  * Show an explicit error when the LSB codename is not supported

  [ Michael Müller ]
  * Allow adding http repositories with line expansion

  [ Clement Lefebvre ]
  * Add support for pkexec
  * Add a hicolor icon "mintsources"

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 May 2017 19:35:58 +0100

mintsources (1.6.4) serena; urgency=medium

  [ salphaon ]
  * Add dependency python-vte

  [ Clement Lefebvre ]
  * Don't depend on gksu|kdesudo

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2017 16:40:11 +0000

mintsources (1.6.3) serena; urgency=medium

  * Fix flag for global mirrors in main view

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 03 Jan 2017 14:55:39 +0000

mintsources (1.6.2) serena; urgency=medium

  * Add support for Linux Mint 18.1 Serena

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 Nov 2016 17:13:46 +0000

mintsources (1.6.1) serena; urgency=medium

  [ JosephMcc ]
  * Set mint sources to the mintsources icon

  [ xenopeek ]
  * debian/control: add sudo frontend dependency

  [ Clement Lefebvre ]
  * Added support for anycast worldwide mirrors
  * HiDPI: Switched to SVG flags
  * Switch to PNG flags

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Nov 2016 14:30:56 +0000

mintsources (1.6.0) sarah; urgency=medium

  * Show software sources in KDE menu

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Aug 2016 11:34:42 +0200

mintsources (1.5.9) sarah; urgency=medium

  * Don't rely on "lsb_release -u"

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 13 Jun 2016 13:07:42 +0100

mintsources (1.5.8) sarah; urgency=medium

  * Don't use hardcoded colors

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2016 14:41:17 +0100

mintsources (1.5.7) sarah; urgency=medium

  * Removed backports from warning message

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jun 2016 11:21:19 +0100

mintsources (1.5.6) sarah; urgency=medium

  * Added Sarah key

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 May 2016 15:57:35 +0100

mintsources (1.5.5) sarah; urgency=medium

  [ Ryan Rafe Lee ]
  * Fixed dependency

  [ Clement Lefebvre ]
  * Updated generated files, a few msgids and the pot file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Apr 2016 13:55:11 +0100

mintsources (1.5.4) sarah; urgency=medium

  * Added support for Sarah

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Mar 2016 11:33:02 +0000

mintsources (1.5.3) sarah; urgency=medium

  [ jstnlth ]
  * Update add-apt-repository
  * Update mintSources.py
  * fix spacing inconsistency
  * remove unnecessary parameter from remove_repository_via_cli
  * hacky workaround to support os.execl call
  * added support for dummy parameter

  [ Eduard Dopler ]
  * Fix crash in Select Mirror on no connection

  [ Clement Lefebvre ]
  * Shebangs
  * Mirror selection: For a selection of particular countries, show all mirrors

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Feb 2016 12:10:57 +0000

mintsources (1.5.2) rosa; urgency=medium

  * Fixed mint-switch-to-local-mirror (can't remotely modify a global variable, it's ambiguous)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2016 14:10:44 +0000

mintsources (1.5.1) rosa; urgency=medium

  * Fixed testing the wrong url for up-to-date tests Also, don't perform that test on base layer mirrors

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Nov 2015 12:25:00 +0000

mintsources (1.5.0) rosa; urgency=medium

  * mint-switch-to-local-mirror: Add support for live installation mode

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Nov 2015 15:51:07 +0000

mintsources (1.4.9) rosa; urgency=medium

  * Added usr/bin/mint-switch-to-local-mirror script

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Nov 2015 14:29:04 +0000

mintsources (1.4.8) rosa; urgency=medium

  * Mirror selection: Add country name in tooltip
  * Mirror selection: Show mirror names
  * Test mirrors one by one, multiple bug fixes, remove dodgy mirrors from the list again, test up-to-date-ness of mirrors, list mirrors according to proximity (country, bordering countries, subregion, region)
  * Added support for Linux Mint 17.3 "Rosa"
  * Fixed up-to-date check not checking the correct URL
  * Fixed speeds not being converted properly
  * Improve speed precision with %.1f when number of int digits is less than 3
  * Fixed rafaela's mintsources.conf being changed by mistake
  * Ellipsize button labels in button boxes to prevent the window from getting too big (was tested in Russian)
  * Removed trailing spaces
  * Add PPA: Show PPA display name
  * Add PPA: Ensure the PPA supports the base release
  * Updated pot file and specified python version in generate_desktop_files
  * Updated desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Nov 2015 16:22:24 +0000

mintsources (1.4.7) rafaela; urgency=medium

  * Removed X-Ubuntu-Gettext-Domain in menu item

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2015 13:07:54 +0200

mintsources (1.4.6) rafaela; urgency=medium

  * Added desktop item to Xfce settings

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2015 12:42:17 +0200

mintsources (1.4.5) rafaela; urgency=medium

  * Make foreign packages window and ppa window modal
  * PPA browser: Don't list packages already installed from the PPA
  * Foreign packages: Allow the removal of packages which are absent from the repositories

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 19 Jun 2015 10:57:51 +0200

mintsources (1.4.4) rafaela; urgency=medium

  * Added the ability to install packages from a PPA
  * Updated desktop files
  * Added the ability to review and downgrade foreign packages

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Jun 2015 12:14:03 +0200

mintsources (1.4.3) rafaela; urgency=medium

  [ darealshinji ]
  * Add man pages

  [ Timothy Sharitt ]
  * Auto paste PPA and deb lines from clipboard

  [ Corbin ]
  * Replace gross 'burnt' Linux Mint Icons with the nice ones

  [ Clement Lefebvre ]
  * Improved repository name identification
  * Added support for Rafaela

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Jun 2015 17:06:45 +0200

mintsources (1.4.2) betsy; urgency=medium

  * Speed tests: Don't remove mirrors from the list when they fail or timeout (we'll need to view/filter them, removing them from the model leads to segfaults)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Mar 2015 16:02:15 +0100

mintsources (1.4.1) betsy; urgency=medium

  * Updated authentications keys for Betsy

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Feb 2015 12:33:44 +0100

mintsources (1.4.0) rebecca; urgency=medium

  * Added new add PPA confirmation dialog to better handle long PPA descriptions
  * Only allow repository definitions starting with "deb" in 3rd party repositories

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Feb 2015 09:42:32 +0100

mintsources (1.3.9) rebecca; urgency=medium

  * Really provide software-properties packages. Instructions on 3rd party websites incite Mint users to explicitly install software-properties packages. This commit makes these instructions harmless whereas they would previously remove mint-metas, mintsources and break the ability to add PPAs.
  * Made the mintsources package essential

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Jan 2015 14:19:25 +0100

mintsources (1.3.8) rebecca; urgency=medium

  * Speed tests: limit the number of concurrent threads to 80 (fixes crash in 32-bit when selecting a base mirror)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 Jan 2015 10:56:28 +0100

mintsources (1.3.7) rebecca; urgency=medium

  * Set the window to non-resizable (In GTK2 text-wrapping only works by redefining the label allocation dynamically, this is a limitation of the toolkit. It works but the side-effect is that it never shrinks back when the window is resized.)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 19 Nov 2014 12:05:03 +0100

mintsources (1.3.6) rebecca; urgency=medium

  * l10n'd Maintenance button label

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Nov 2014 10:15:28 +0100

mintsources (1.3.5) rebecca; urgency=medium

  * Added rebecca and betsy support
  * Fixed deletion of repository when it contained '#'
  * Enabled add-apt-repository to work in automation scripts
  * Provides software-properties-kde|gtk|common
  * Parallel mirror scan
  * Improved repository names, sorted tables in ASC order
  * Mirror selection: changed speed bars for text (Gdk randomly segfaulted)
  * Added retry mechanism on timeout and now remove erroneous mirrors from the list

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Sep 2014 13:24:48 +0200

mintsources (1.3.4) qiana; urgency=medium

  [ Frédéric Gaudet ]
  * Add trailing semicolon
  * Hide desktop file when DE= KDE
  * Do not show Gnome desktop file under KDE
  * Update translations

  [ Corbin ]
  * Changed dist icon for qiana

  [ Gwendal Le Bihan ]
  * List PPAs as additional repositories when PPAs aren't supported
  * Don't allow adding PPAs when not supported

  [ Clement Lefebvre ]
  * Improved Qiana icon

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Jun 2014 16:21:05 +0100

mintsources (1.3.3) qiana; urgency=low

  * [8ce6fca] KDE desktop file generation
  * [502938f] GNOME based desktop file hidden in KDE
  * [148ca58] New KDE4 desktop file

 -- Frédéric Gaudet <fred@linuxmint.com>  Mon, 26 May 2014 12:01:21 +0200

mintsources (1.3.2) qiana; urgency=medium

  * 1.3.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2014 10:26:36 +0100

mintsources (1.3.1) qiana; urgency=medium

  * 1.3.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 21 May 2014 10:24:43 +0100

mintsources (1.3.0) qiana; urgency=medium

  * 1.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 May 2014 14:34:58 +0100

mintsources (1.2.9) qiana; urgency=medium

  * 1.2.9

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 May 2014 16:31:53 +0100

mintsources (1.2.8) qiana; urgency=medium

  * 1.2.8

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 06 May 2014 14:16:03 +0100

mintsources (1.2.7) qiana; urgency=medium

  * 1.2.7

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 May 2014 14:50:48 +0100

mintsources (1.2.6) qiana; urgency=medium

  * 1.2.6

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 03 May 2014 18:50:02 +0100

mintsources (1.2.5) qiana; urgency=medium

  * 1.2.5

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 May 2014 16:11:52 +0100

mintsources (1.2.4) qiana; urgency=medium

  * 1.2.4

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Apr 2014 15:59:24 +0100

mintsources (1.2.3) debian; urgency=low

  * 1.2.3

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 03 Feb 2014 14:26:27 +0000

mintsources (1.2.2) debian; urgency=low

  * 1.2.2

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Jan 2014 17:10:40 +0000

mintsources (1.2.1) petra; urgency=low

  * 1.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Nov 2013 18:41:11 +0000

mintsources (1.2.0) petra; urgency=low

  * 1.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 19 Oct 2013 16:37:02 +0100

mintsources (1.1.9) petra; urgency=low

  * 1.1.9

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Oct 2013 10:52:41 +0100

mintsources (1.1.8) olivia; urgency=low

  * 1.1.8

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Sep 2013 10:57:13 +0100

mintsources (1.1.7) olivia; urgency=low

  * 1.1.7

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2013 15:41:43 +0200

mintsources (1.1.6) olivia; urgency=low

  * 1.1.6

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 May 2013 16:13:41 +0100

mintsources (1.1.5) olivia; urgency=low

  * 1.1.5

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 May 2013 14:21:24 +0100

mintsources (1.1.4) olivia; urgency=low

  * 1.1.4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 18 May 2013 13:46:24 +0100

mintsources (1.1.3) olivia; urgency=low

  * 1.1.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 14 May 2013 12:01:16 +0100

mintsources (1.1.2) olivia; urgency=low

  * 1.1.2

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 01 May 2013 18:58:57 +0100

mintsources (1.1.1) olivia; urgency=low

  * 1.1.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Apr 2013 20:16:45 +0100

mintsources (1.1.0) olivia; urgency=low

  * 1.1.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Apr 2013 18:07:24 +0100

mintsources (1.0.9) olivia; urgency=low

  * 1.0.9

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Apr 2013 14:20:23 +0100

mintsources (1.0.8) olivia; urgency=low

  * 1.0.8

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Apr 2013 12:30:08 +0100

mintsources (1.0.7) olivia; urgency=low

  * 1.0.7

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 09 Apr 2013 09:13:03 +0100

mintsources (1.0.6) olivia; urgency=low

  * 1.0.6

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 08 Apr 2013 13:34:12 +0100

mintsources (1.0.5) olivia; urgency=low

  * 1.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Apr 2013 12:40:21 +0100

mintsources (1.0.4) olivia; urgency=low

  * 1.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 Mar 2013 14:57:27 +0000

mintsources (1.0.3) olivia; urgency=low

  * 1.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 29 Mar 2013 17:54:25 +0000

mintsources (1.0.2) olivia; urgency=low

  * 1.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Mar 2013 13:06:32 +0000

mintsources (1.0.1) olivia; urgency=low

  * Feature-complete

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Mar 2013 00:55:35 +0000

mintsources (1.0.0) olivia; urgency=low

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Fri,  18 Jan 2013 20:16:00 +0000

